## org.eclipse.datatools.connectivity.oda.design
Interface InputParameterUIHints

public interface InputParameterUIHints

UI hints for a top-level parameter.

The following features are supported:

- `Group Prompt Display Name`

See Also:
  `DesignPackage.getInputParameterUIHints()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getGroupPromptDisplayName()` Returns the value of the 'Group Prompt Display Name' attribute.
`void` `setGroupPromptDisplayName(java.lang.String value)` Sets the value of the '`Group Prompt Display Name`' attribute.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getGroupPromptDisplayName

    public java.lang.String getGroupPromptDisplayName()

  Returns the value of the 'Group Prompt Display Name' attribute. For grouping multiple top-level input parameters under the same UI group prompt.

  Returns:
    the value of the 'Group Prompt Display Name' attribute.
  See Also:
    `setGroupPromptDisplayName(String)`, `DesignPackage.getInputParameterUIHints_GroupPromptDisplayName()`

### setGroupPromptDisplayName

    public void setGroupPromptDisplayName(java.lang.String value)

  Sets the value of the '`Group Prompt Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Group Prompt Display Name' attribute.
  See Also:
    `getGroupPromptDisplayName()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.